Producer Upload Reference Audio API Integration Guide
Producer allows us to upload reference audio for secondary creation. This document explains how to integrate the related API.
This API has only one input parameter, which is audio_url. It is a publicly accessible CDN address and supports the mp3 suffix.
Here, the audio_url we input is https://cdn.acedata.cloud/suno_demo.mp3, which is a publicly accessible CDN address.
curl -X POST 'https://api.qiyaov.com/producer/upload' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
"audio_url": "https://cdn.acedata.cloud/suno_demo.mp3"
}'
The result is as follows:
{
"success": true,
"task_id": "23e7d4ec-d1a8-429f-87d8-9f53fc3b6666",
"data": {
"audio_id": "d906da31-87cb-42f5-98df-2fc4969923b1",
"lyric": "[Mandopop, Acoustic Pop]\n[Soft female vocals, bright and cheerful]\n\n[Verse 1]\n阳光洒在海边\n浪花笑得灿烂\n你和我在沙滩\n钟表停止转\n冰淇淋在融化\n手牵手去散步\n风儿轻轻吹过\n心跳不停跳\n\n[Chorus]\n夏天夏天\n时间停在这一天\n笑声回荡\n蔚蓝天空在身旁",
"audio_url": "https://cdn.acedata.cloud/assets/examples/fish/5ade0339-5f11-487e-aacc-06a908271706-8e3fcb0e5547.mp3"
}
}
As you can see, the audio_id field in data is the song ID after upload.
After obtaining the song ID, we can use the Producer Audios Generation API to perform custom song generation. For example, if action is passed as upload_extend and audio_id is passed as the returned song ID, a new song can be generated based on the reference audio.